---
lang: en
title: 'API docs: graphql.graphqlbindings'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlbindings.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLBindings](./graphql.graphqlbindings.md)

## GraphQLBindings namespace

Namespace for GraphQL related bindings

**Signature:**

```typescript
export declare namespace GraphQLBindings 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [COMPONENT](./graphql.graphqlbindings.component.md) | Binding key for the GraphQL component |
|  [CONFIG](./graphql.graphqlbindings.config.md) | Binding key for setting and injecting GraphQLServerConfig |
|  [GRAPHQL\_AUTH\_CHECKER](./graphql.graphqlbindings.graphql_auth_checker.md) | Binding key for the GraphQL auth checker |
|  [GRAPHQL\_CONTEXT\_RESOLVER](./graphql.graphqlbindings.graphql_context_resolver.md) | Binding key for the GraphQL context resolver |
|  [GRAPHQL\_SERVER](./graphql.graphqlbindings.graphql_server.md) | Binding key for the GraphQL server |
|  [PUB\_SUB\_ENGINE](./graphql.graphqlbindings.pub_sub_engine.md) | Binding key for the GraphQL pub/sub engine |
|  [RESOLVER\_CLASS](./graphql.graphqlbindings.resolver_class.md) | Binding key for the current resolver class |
|  [RESOLVER\_DATA](./graphql.graphqlbindings.resolver_data.md) | Binding key for the GraphQL resolver data - which is bound per request |
|  [RESOLVERS](./graphql.graphqlbindings.resolvers.md) | Binding key namespace for resolvers |


